import { ElementRef } from '@angular/core';
import { DomSanitizer, SafeStyle } from '@angular/platform-browser';
import { Direction } from './direction';
import { Offset } from './offset';
import { Dimension } from './dimension';
export declare class SwingCardDirective {
    private elementRef;
    private sanitizer;
    private _offset;
    private _rotation;
    readonly _transform: SafeStyle;
    private _lastMove;
    constructor(elementRef: ElementRef<HTMLElement>, sanitizer: DomSanitizer);
    panmove(event: any): void;
    panend(event: any): void;
    throwIn(): void;
    throwOut(): void;
    getRotation(offset: Offset): number;
    getDirection(offset: Offset): Direction;
    getDimensions(): Dimension;
    getThrowOutConfidence(offset: Offset): number;
}
